POST api/batchapi/add/unloadingstep

Request Information

URI Parameters

None.

Body Parameters

BatchUnloadingStepViewModel
NameDescriptionTypeAdditional information
batch_id

globally unique identifier

Required

witness_id

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "batch_id": "ed49461b-422b-4b22-926d-116d06f3fd25",
  "witness_id": "82c8013e-82ef-497e-a41a-76b62d779648"
}

application/xml, text/xml

Sample:
<batch_unloading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>ed49461b-422b-4b22-926d-116d06f3fd25</batch_id>
  <witness_id>82c8013e-82ef-497e-a41a-76b62d779648</witness_id>
</batch_unloading_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"426462fe-84e8-42b6-bb04-9d3fa2dfecb9"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">426462fe-84e8-42b6-bb04-9d3fa2dfecb9</guid>